% this program finds a fixed point for the Poincare Map, thereby finding 
% an initial condition that is on the limit cycle and the Poincare Section

x0 = 2;
x0 = PoincareMap_VanderPol(x0);

xresult = fsolve(@differencexnxnplus1,x0)
howgoodistheresult = differencexnxnplus1(xresult)
PostProcess_VanderPol(xresult);

J = numerical_Jacobian(@PoincareMap_VanderPol,xresult,10^(-5));

% note that different Poincare maps will give the same eigenvalues. This is
% a good sanity check for your program.